#ifndef TOF_EXAMPLES_PRINT_HPP
#define TOF_EXAMPLES_PRINT_HPP

#include <chronoptics/tof.hpp>
#include <iostream>

namespace tof = chronoptics::tof;

inline void print_gige_devices(int port = 0) {
  tof::GigeInterface cam(port);
  auto msgs = cam.discover();

  // Print out each measage
  for (auto &msg : msgs) {
    std::cout << "Camera ID: " << msg.serial() << " IP Address: " << msg.ip()
              << std::endl;
  }
}

inline void print_usb_devices() {
  auto devices = tof::usb_device_discover();

  for (auto &device : devices) {
    std::cout << "Camera ID: " << device.serial() << " usb\n";
  }
}

/** Print all devices on network */
inline void print_devices() {
  print_gige_devices();
  print_usb_devices();
}

#endif